Bulletin d'alerte Debian

DSA-1039-1 blender -- Plusieurs vulnérabilités

Date du rapport :
24 avril 2006
Paquets concernés :
blender
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 330895, Bogue 344398.
Dans la base de données de suivi des bogues (chez SecurityFocus) : Identifiant BugTraq 15981.
Dans le dictionnaire CVE du Mitre : CVE-2005-3302, CVE-2005-4470.
Plus de précisions :

Plusieurs vulnérabilités ont été découvertes dans blender, un modeleur et moteur de rendu 3D très rapide et polyvalent. Le projet « Common Vulnerabilities and Exposures » a identifié les problèmes suivants :

  • CVE-2005-3302

    Joxean Koret a découvert qu'une mauvaise vérification des entrées rendait un script vulnérable à l'exécution de commandes arbitraires.

  • CVE-2005-4470

    Damian Put a découvert un dépassement de tampon qui permettait à des attaquants distants de provoquer un déni de service et peut-être d'exécuter du code arbitraire.

L'ancienne distribution stable (Woody) n'est pas touchée par ce problème.

Pour l'actuelle distribution stable (Sarge), ce problème a été corrigé dans la version 2.36-1sarge1.

Pour la distribution instable (Sid), ce problème a été corrigé dans la version 2.40-1.

Nous vous recommandons de mettre à jour votre paquet blender.

Corrigé dans :

Debian GNU/Linux 3.1 (sarge)

Source :
http://security.debian.org/pool/updates/main/b/blender/blender_2.36-1sarge1.dsc
http://security.debian.org/pool/updates/main/b/blender/blender_2.36-1sarge1.diff.gz
http://security.debian.org/pool/updates/main/b/blender/blender_2.36.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/b/blender/blender_2.36-1sarge1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/b/blender/blender_2.36-1sarge1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/b/blender/blender_2.36-1sarge1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/b/blender/blender_2.36-1sarge1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/b/blender/blender_2.36-1sarge1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/b/blender/blender_2.36-1sarge1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/b/blender/blender_2.36-1sarge1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/b/blender/blender_2.36-1sarge1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/b/blender/blender_2.36-1sarge1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/b/blender/blender_2.36-1sarge1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/b/blender/blender_2.36-1sarge1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/b/blender/blender_2.36-1sarge1_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.